Subject: Re: [Bugme-new] [Bug 28282] New: forwarding turns autoconfiguration off

From: Bill Fink <[email-masked]>
Date: Tue, 8 Feb 2011 23:47:53 -0500

On Tue, 8 Feb 2011, Francois Romieu wrote:

> David Miller <[email-masked]> :
> > From: Hadmut Danisch <[email-masked]>
> > Date: Tue, 08 Feb 2011 23:12:30 +0100
> > 
> > > On 08.02.2011 22:44, David Miller wrote:
> > >>
> > >> This is a case where we're probably just following what the RFC documents
> > >> state we should do, which means unless you can provide clear reference to
> > >> a specification that states we should behave otherwise this isn't changing.
> > > 
> > > Could you cite where exactly this is stated in the RFC documents?
> > 
> > I'm working on other bugs at the moment, so I am personally unable to
> > help you with this at this time.  Perhaps someone else can.
> 
> This one MAY^W may be relevant (see http://www.ietf.org/rfc/rfc4862.txt) :
> 
> Thomson, et al.             Standards Track                     [Page 3]
> 
> RFC 4862        IPv6 Stateless Address Autoconfiguration  September 2007
> [...]
>    The autoconfiguration process specified in this document applies only
>    to hosts and not routers.  Since host autoconfiguration uses
>    information advertised by routers, routers will need to be configured
>    by some other means.  However, it is expected that routers will
>    generate link-local addresses using the mechanism described in this
>    document.  In addition, routers are expected to successfully pass the
>    Duplicate Address Detection procedure described in this document on
>    all addresses prior to assigning them to an interface.

I believe there is a difference between being a router and merely
being capable of forwarding IP packets.  To me, a router participates
in a routing protocol and/or advertises routes/prefixes.  So perhaps
Hadmut has a valid point that autoconfiguration should not depend
on ip_forward being off, although I'm not sure what the appropriate
alternate test for not being a router should be.

						-Bill